# Ansible AWX Template: IPA Management

Ansible AWX is the method used for the Rocky Linux infrastructure, as a replacement for using the CLI.

## Provides / Information

This repository is for IPA Management.

Setting up the initial domain is as so:

* `role-rocky-ipa.yml`
* `role-rocky-replica.yml`
* `role-rocky-client.yml` (for any initial client machines)
* `init-rocky-ipa-team.yml`

```
.
├── adhoc-ipabinder.yml
├── adhoc-ipadnsrecord.yml
├── adhoc-ipadnszone.yml
├── adhoc-ipagetcert.yml
├── adhoc-ipagetkeytab.yml
├── adhoc-ipagroup.yml
├── adhoc-ipaservice.yml
├── adhoc-ipauser-disable-pdr.yml
├── adhoc-ipauser-disable.yml
├── adhoc-ipauser-enable.yml
├── adhoc-ipauser.yml
├── collections
│   └── requirements.yml
├── defaults
│   └── main.yml
├── files
│   └── README.md
├── handlers
│   └── main.yml
├── import-rockygroups.yml
├── import-rockyipaprivs.yml
├── import-rockypwpolicy.yml
├── import-rockysudo.yml
├── import-rockyusers.yml
├── init-rocky-ipa-internal-dns.yml
├── init-rocky-ipa-team.yml
├── README.md
├── role-rocky-ipa-client.yml
├── role-rocky-ipa-replica.yml
├── role-rocky-ipa.yml
├── roles
│   └── requirements.yml
├── tasks
│   ├── dns-ext.yml
│   ├── domain-prework.yml
│   └── main.yml
├── templates
│   ├── etc
│   │   └── named
│   │       ├── ipa-ext.conf
│   │       └── ipa-options-ext.conf
│   ├── README.md
│   └── tmp
│       └── binder.update.j2
├── tests
│   ├── inventory
│   ├── README.md
│   └── test.yml
└── vars
    ├── ipa
    │   ├── adminusers.yml
    │   ├── agreements.yml
    │   ├── common.yml
    │   ├── fdns.yml
    │   ├── groups.yml
    │   ├── ipaclient.yml
    │   ├── ipaprivs.yml
    │   ├── ipareplica.yml
    │   ├── ipaserver.yml
    │   ├── rdns.yml
    │   ├── sudorules.yml
    │   ├── svcusers.yml
    │   └── users.yml
    ├── ipaserver.yml
    └── main.yml
```
